/***************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef SIDEBAR_H
#define SIDEBAR_H

#include <qvbox.h>
#include <qcombobox.h>
#include <qlayout.h>


/**
@author Vlad Svetlichny
*/

class Kniga;
class BookmarkSB;
class StatisticSB;

class sidebar : public QWidget
{
Q_OBJECT
public:
    sidebar(QWidget *parent, Kniga *kkniga);
    BookmarkSB *bookmarksb;
    StatisticSB *statisticsb;
    int currentIndex;
    void setCurrent(int i);
    
public slots:
    void changeBar(int index);
    void setHide();

private:
    QComboBox *select;
    QWidget *current;    
    bool initOne;
    QVBoxLayout *vbox;
    Kniga *fkniga;
};

#endif
