/***************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef BOOKMARKSB_H
#define BOOKMARKSB_H

#include <qlistbox.h>
#include <qpushbutton.h>
#include <qpixmap.h>

/**
@author Vlad Svetlichny
*/

class Kniga;

class BookmarkSB : public QWidget
{
Q_OBJECT
public:
    BookmarkSB(QWidget *parent, Kniga *kkniga);
    void listReload();
    
public slots:
    void add();
    void remove();
    void reset();
    void rename();
    void open(QListBoxItem *lbi);
    
private:
    QListBox *lv;
    QPushButton *btnAdd, *btnDelete, *btnReset, *btnRename;
    Kniga *fkniga;
    QPixmap icoAdd, icoDelete, icoReset, icoRename;
};

#endif
