/***************************************************************************
 *   Copyright (C) 2004 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef ENCSELECT_H
#define ENCSELECT_H

#include <qdialog.h>

#include "tab.h"
#include "settings.h"

/**
@author Vlad Svetlichny
*/

class QComboBox;
class EncSelect : public QDialog
{
Q_OBJECT
public:
    EncSelect(QWidget *parent, tab *ttext, Settings *sett);

    ~EncSelect();

private slots: 
    void sayOk();
    void sayCancel();

private:
   QString code;
   tab *text;
   QComboBox *selCdpg;
};

#endif
